#ifndef __KBCODES_H__
#define __KBCODES_H__

#ifdef X11 
#include <X11/keysym.h>

#define KY_BACK		XK_BackSpace		
#define KY_TAB		XK_Tab
#define KY_ESC	        XK_Escape	/* Esc key */
#define KY_ENTER        XK_Return       /* Enter key */
//#define KY_ERASE	XK_Delete
#define KY_SPACE        XK_space	/* Space key */


#define KY_DOWN      	XK_Down         /* Down-arrow */
#define KY_UP           XK_Up           /* Up-arrow */
#define KY_LEFT         XK_Left         /* Left-arrow */
#define KY_RIGHT        XK_Right        /* Right-arrow */
#define KY_CENTER       XK_Execute      /* Key, corresponding to '5'  */

#define KY_HOME	        XK_Home		/* Home key */	
#define KY_INSERT       XK_Insert	/* Ins key */	
#define KY_DELETE       XK_Delete	/* Delete key */	
#define KY_END	        XK_End		/* End  key */	
#define KY_PREV	        XK_Page_Up	/* PgUp key */	
#define KY_NEXT	        XK_Page_Down	/* PgDn  key */	
	
#define KY_F1	        XK_F1		/* F1 key */	

#else

#define KY_BACK	       0x08		/* Back key */	
#define KY_TAB	       0x09	        /* TAB key */
#define KY_ESC	       0x1B		/* Esc key */
#define KY_ENTER       0x0A	        /* Enter key */
#define KY_ERASE       0x7F	        /* Erase key */	
#define KY_SPACE       0x20		/* Space key */
	
#define KY_DOWN        0x142            /* Down-arrow */
#define KY_UP          0x141            /* Up-arrow */
#define KY_LEFT        0x144            /* Left-arrow */
#define KY_RIGHT       0x143            /* Right-arrow */
#define KY_CENTER      0x147            /* Key, corresponding to '5'  */

#define KY_HOME	       0x131		/* Home key */	
#define KY_INSERT      0x132		/* Ins key */	
#define KY_DELETE      0x133		/* Delete key */	
#define KY_END	       0x134		/* End  key */	
#define KY_PREV	       0x135		/* PgUp key */	
#define KY_NEXT	       0x136		/* PgDn  key */	

#define KY_F1	       0x341		/* F1 key */	

#endif


#define JOY_START      0x900	
#define JOY_BTN1       0x901		/* Joystick button 1 */
#define JOY_BTN2       0x902		/* Joystick button 2 */	
#define JOY_BOTH       0x903		/* Both joystick buttons */	
#define JOY_BTN3       0x904		/* Joystick button 3 */
#define JOY_BTN4       0x908 		/* Joystick button 4 */

#define JOY_ARROWS     0x940	
#define JOY_UP         0x941            /* Up-stick */
#define JOY_DOWN       0x942            /* Down-stick */
#define JOY_RIGHT      0x943            /* Right-stick */
#define JOY_LEFT       0x944            /* Left-stick */

#define JOY_LAST       0x944		/* Last joystick command */


#endif
